<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">


<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    
    <title>問題6.1 - 周期倍化 &mdash; 計算機実習2014</title>
    
    <link rel="stylesheet" href="../_static/default.css" type="text/css" />
    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
    
    <script type="text/javascript">
      var DOCUMENTATION_OPTIONS = {
        URL_ROOT:    '../',
        VERSION:     '1.0',
        COLLAPSE_INDEX: false,
        FILE_SUFFIX: '.html',
        HAS_SOURCE:  true
      };
    </script>
    <script type="text/javascript" src="../_static/jquery.js"></script>
    <script type="text/javascript" src="../_static/underscore.js"></script>
    <script type="text/javascript" src="../_static/doctools.js"></script>
    <script type="text/javascript" src="../_static/translations.js"></script>
    <link rel="author" title="このドキュメントについて" href="../about.html" />
    <link rel="top" title="計算機実習2014" href="../index.html" />
    <link rel="next" title="問題6.2 - ロジスティック写像の定性的な特徴" href="../6-2_bifurcate/6-2.html" />
    <link rel="prev" title="計算機実習" href="../index.html" /> 
  </head>
  <body>
    <div class="related">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="総合索引"
             accesskey="I">索引</a></li>
        <li class="right" >
          <a href="../6-2_bifurcate/6-2.html" title="問題6.2 - ロジスティック写像の定性的な特徴"
             accesskey="N">次へ</a> |</li>
        <li class="right" >
          <a href="../index.html" title="計算機実習"
             accesskey="P">前へ</a> |</li>
        <li><a href="../index.html">計算機実習2014</a> &raquo;</li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body">
            
  <div class="section" id="label">
<span id="id1"></span><h1><a class="toc-backref" href="#id7">問題6.1 - 周期倍化</a><a class="headerlink" href="#label" title="このヘッドラインへのパーマリンク">¶</a></h1>
<div class="contents topic" id="contents">
<p class="topic-title first">Contents</p>
<ul class="simple">
<li><a class="reference internal" href="#label" id="id7">問題6.1 - 周期倍化</a><ul>
<li><a class="reference internal" href="#id2" id="id8">シミュレーションの目的</a></li>
<li><a class="reference internal" href="#id3" id="id9">作成したプログラム</a></li>
<li><a class="reference internal" href="#id4" id="id10">実習課題</a></li>
<li><a class="reference internal" href="#id5" id="id11">まとめ</a></li>
<li><a class="reference internal" href="#id6" id="id12">参考文献</a></li>
</ul>
</li>
</ul>
</div>
<div class="section" id="id2">
<h2><a class="toc-backref" href="#id8">シミュレーションの目的</a><a class="headerlink" href="#id2" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>生物の個体数の時間発展は、その世代交代がある決まった季節に起こるなど、離散的であると見なせるため、これを記述するのには微分方程式よりもむしろ差分方程式の方が適している。世代(n+1)の個体数を世代nの個体数に関係づけ、その成長率が密度に依存しない一番簡単なモデルを考えると、世代nの個体数を<img class="math" src="../_images/math/7a81d0a5a589b3b8b130d567a6086258a1fc640f.png" alt="P_{n}"/>、成長率を<img class="math" src="../_images/math/ad59b6e24a4a00ac621801f8d7513d68be654ab5.png" alt="\alpha"/>(定数)として</p>
<div class="math">
<p><img src="../_images/math/0645285f5b823c41d5d80b1426e5061aeaec83e2.png" alt="P_{n+1}=\alpha P_{n}"/></p>
</div><p>と書ける。これは大変簡単ではあるが、<img class="math" src="../_images/math/017d1f59a4acc87bf46534d7ae799aca4b536162.png" alt="\alpha &gt; 1"/>のときに個体数が等比級数的に無限に増加してしまうことと、現実には個体数はその環境に制限されていることとから、現象を的確に表したモデルとは言えない。そこで次に、成長率が個体数が増加するにつれて線形に減少する場合</p>
<div class="math">
<p><img src="../_images/math/6a6e3e07bf402382b9ab480ad49542daf8c3f3d5.png" alt="P_{n+1}=P_{n}(a-bP_{n})"/></p>
</div><p>を考える。このときこの式は<img class="math" src="../_images/math/7a81d0a5a589b3b8b130d567a6086258a1fc640f.png" alt="P_{n}"/>の2乗を含んでいるので、非線形の方程式となる。<img class="math" src="../_images/math/eedf573ff615a63a366576b8484a4f6b3d10b62c.png" alt="P_{n}=(a/b)x_{n}"/>と置くことで個体数のスケールを変換し、</p>
<div class="math">
<p><img src="../_images/math/6d89be6878922f56a642ff57b58c23e10b195e90.png" alt="x_{n+1}=ax_{n}"/></p>
</div><p>として<img class="math" src="../_images/math/7a81d0a5a589b3b8b130d567a6086258a1fc640f.png" alt="P_{n}"/>を<img class="math" src="../_images/math/8f7af1c5494a324b7039d7045e71f65fecfdbc1b.png" alt="x_{n}"/>に置き換えると、いろいろなパラメータを定義している単位系も変換される。ここでパラメータ<img class="math" src="../_images/math/369c68efac17633541cadca5b903340be5982244.png" alt="r=a/4"/>を導入して、再び書き直すと</p>
<div class="math" id="equation-logistic">
<p><span class="eqno">(1)</span><img src="../_images/math/909a0c61a84f590cd02fd5e477caf20458e9009d.png" alt="x_{n+1}=f(x_{n})=4rx_{n}(1-x_{n})"/></p>
</div><p>となる。これは単一のパラメータ<img class="math" src="../_images/math/2ede365ad144ab396916ec60458da03860803078.png" alt="r"/>のみでその動的な性質が決定されるという意味で望ましいモデルとなっている。ただし、<img class="math" src="../_images/math/dd486f411e7888f9bcb207087faa8a209123784e.png" alt="x_{n} &gt; 1"/>のとき<img class="math" src="../_images/math/7840464ef9099bb36dba4aa48ec535661d9f4aa8.png" alt="x_{n+1}"/>は負になるので、このような非物理的性質が現れないように、xとrを区間<img class="math" src="../_images/math/20db21111054d5495cf596098253925615965f6d.png" alt="0 \leq x \leq 1"/>、<img class="math" src="../_images/math/1514b188731add4c818574911aa456dcfb038e0e.png" alt="0 \leq r \leq 1"/>に制限することにする。</p>
<p>式(4)で定義される関数<img class="math" src="../_images/math/0001d02b63ede2fe3219e05a7cd09c82ae6298b6.png" alt="f"/>は1次元の写像であり、この形はロジスティック写像として知られているものである。ロジスティック写像は、系の未来の状態が決定論的に与えられるという意味で、単純な力学系の例である。本シミュレーションでは式<a href="#equation-logistic">(1)</a>の差分方程式を、世代ごとに計算を繰り返す方法で実際に求め、ロジスティック写像の動的な性質を調べることにする。</p>
</div>
<div class="section" id="id3">
<h2><a class="toc-backref" href="#id9">作成したプログラム</a><a class="headerlink" href="#id3" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>ロジスティック写像の性質を調べるために、Pythonを使用したプログラムを以下に示す。</p>
<ul class="simple">
<li><a class="reference download internal" href="../_downloads/6-1_iterate_map.py"><tt class="xref download docutils literal"><span class="pre">6-1_iterate_map.py</span></tt></a></li>
</ul>
<div class="highlight-python"><table class="highlighttable"><tr><td class="linenos"><div class="linenodiv"><pre> 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91</pre></div></td><td class="code"><div class="highlight"><pre><span class="c">#! usr/bin/env python </span>
<span class="c"># coding:utf-8</span>
<span class="c">#</span>
<span class="c"># written by Shotaro Fujimoto, May 2014.</span>
<span class="c">#</span>
<span class="sd">&quot;&quot;&quot; 計算機実習</span>
<span class="sd">問題6.1　周期倍化</span>
<span class="sd">プログラムを実行すると、パラメータの設定ダイアログが開き、</span>
<span class="sd">OKボタンを押すとグラフが描画される。</span>

<span class="sd">&quot;&quot;&quot;</span>

<span class="kn">import</span> <span class="nn">array</span> <span class="kn">as</span> <span class="nn">array</span>
<span class="kn">import</span> <span class="nn">matplotlib.pylab</span> <span class="kn">as</span> <span class="nn">plt</span> <span class="c"># 追加で必要なモジュール</span>
<span class="kn">from</span> <span class="nn">Tkinter</span> <span class="kn">import</span> <span class="o">*</span>

<span class="k">class</span> <span class="nc">Iterate_map</span><span class="p">():</span>
    <span class="k">def</span> <span class="nf">__init__</span><span class="p">(</span><span class="bp">self</span><span class="p">):</span>
        <span class="bp">self</span><span class="o">.</span><span class="n">show_setting_window</span><span class="p">()</span>
    
    <span class="k">def</span> <span class="nf">judge</span><span class="p">(</span><span class="bp">self</span><span class="p">):</span>
        <span class="bp">self</span><span class="o">.</span><span class="n">x0</span><span class="o">=</span><span class="nb">float</span><span class="p">(</span><span class="bp">self</span><span class="o">.</span><span class="n">entry</span><span class="p">[</span><span class="mi">0</span><span class="p">]</span><span class="o">.</span><span class="n">get</span><span class="p">())</span>
        <span class="bp">self</span><span class="o">.</span><span class="n">r</span><span class="o">=</span><span class="nb">float</span><span class="p">(</span><span class="bp">self</span><span class="o">.</span><span class="n">entry</span><span class="p">[</span><span class="mi">1</span><span class="p">]</span><span class="o">.</span><span class="n">get</span><span class="p">())</span>
        <span class="k">if</span> <span class="bp">self</span><span class="o">.</span><span class="n">x0</span> <span class="o">&lt;</span> <span class="mi">0</span> <span class="ow">or</span> <span class="bp">self</span><span class="o">.</span><span class="n">x0</span> <span class="o">&gt;</span> <span class="mi">1</span> <span class="ow">or</span> <span class="bp">self</span><span class="o">.</span><span class="n">r</span> <span class="o">&lt;</span> <span class="mi">0</span> <span class="ow">or</span> <span class="bp">self</span><span class="o">.</span><span class="n">r</span> <span class="o">&gt;</span> <span class="mi">1</span><span class="p">:</span>
            <span class="bp">self</span><span class="o">.</span><span class="n">toplevel</span><span class="o">=</span><span class="n">Toplevel</span><span class="p">()</span>
            <span class="k">if</span> <span class="bp">self</span><span class="o">.</span><span class="n">x0</span> <span class="o">&lt;</span> <span class="mi">0</span> <span class="ow">or</span> <span class="bp">self</span><span class="o">.</span><span class="n">x0</span> <span class="o">&gt;</span> <span class="mi">1</span><span class="p">:</span>    
                <span class="n">s</span><span class="o">=</span><span class="s">&quot;条件: 0 &lt;= x0 &lt;= 1 を満たしていません。&quot;</span>
                <span class="n">Label</span><span class="p">(</span><span class="bp">self</span><span class="o">.</span><span class="n">toplevel</span><span class="p">,</span> <span class="n">text</span><span class="o">=</span><span class="n">s</span><span class="p">)</span><span class="o">.</span><span class="n">pack</span><span class="p">(</span><span class="n">padx</span><span class="o">=</span><span class="mi">10</span><span class="p">,</span> <span class="n">pady</span><span class="o">=</span><span class="mi">5</span><span class="p">)</span>
            <span class="k">if</span> <span class="bp">self</span><span class="o">.</span><span class="n">r</span> <span class="o">&lt;</span> <span class="mi">0</span> <span class="ow">or</span> <span class="bp">self</span><span class="o">.</span><span class="n">r</span> <span class="o">&gt;</span> <span class="mi">1</span><span class="p">:</span>
                <span class="n">s</span><span class="o">=</span><span class="s">&quot;条件: 0 &lt;= r &lt;= 1 を満たしていません。&quot;</span>
                <span class="n">Label</span><span class="p">(</span><span class="bp">self</span><span class="o">.</span><span class="n">toplevel</span><span class="p">,</span> <span class="n">text</span><span class="o">=</span><span class="n">s</span><span class="p">)</span><span class="o">.</span><span class="n">pack</span><span class="p">(</span><span class="n">padx</span><span class="o">=</span><span class="mi">10</span><span class="p">,</span> <span class="n">pady</span><span class="o">=</span><span class="mi">5</span><span class="p">)</span>
            <span class="bp">self</span><span class="o">.</span><span class="n">toplevel</span><span class="o">.</span><span class="n">grab_set</span><span class="p">()</span>
            <span class="n">button</span><span class="o">=</span><span class="n">Button</span><span class="p">(</span><span class="bp">self</span><span class="o">.</span><span class="n">toplevel</span><span class="p">,</span> <span class="n">text</span><span class="o">=</span><span class="s">&#39;OK&#39;</span><span class="p">,</span> <span class="n">command</span><span class="o">=</span><span class="bp">self</span><span class="o">.</span><span class="n">close</span><span class="p">)</span>
            <span class="n">button</span><span class="o">.</span><span class="n">pack</span><span class="p">(</span><span class="n">pady</span><span class="o">=</span><span class="mi">5</span><span class="p">)</span>
        <span class="k">else</span><span class="p">:</span> <span class="bp">self</span><span class="o">.</span><span class="n">mapping</span><span class="p">()</span>
    <span class="k">def</span> <span class="nf">close</span><span class="p">(</span><span class="bp">self</span><span class="p">):</span>
        <span class="bp">self</span><span class="o">.</span><span class="n">toplevel</span><span class="o">.</span><span class="n">destroy</span><span class="p">()</span>
    
    <span class="k">def</span> <span class="nf">show_setting_window</span><span class="p">(</span><span class="bp">self</span><span class="p">):</span>
        <span class="n">parameters</span><span class="o">=</span><span class="p">[</span><span class="s">&#39;x0&#39;</span><span class="p">,</span> <span class="s">&#39;r&#39;</span><span class="p">,</span> <span class="s">&#39;nmax&#39;</span><span class="p">]</span> <span class="c"># 設定するパラメータ</span>
        <span class="n">root</span><span class="o">=</span><span class="n">Tk</span><span class="p">()</span>
        <span class="n">frame</span><span class="o">=</span><span class="n">Frame</span><span class="p">(</span><span class="n">root</span><span class="p">,</span> <span class="n">padx</span><span class="o">=</span><span class="mi">5</span><span class="p">,</span> <span class="n">pady</span><span class="o">=</span><span class="mi">5</span><span class="p">)</span>
        <span class="n">frame</span><span class="o">.</span><span class="n">pack</span><span class="p">()</span>
        <span class="n">label</span><span class="o">=</span><span class="n">Label</span><span class="p">(</span><span class="n">frame</span><span class="p">,</span> <span class="n">text</span><span class="o">=</span><span class="s">&#39;setting parameter&#39;</span><span class="p">)</span>
        <span class="n">label</span><span class="o">.</span><span class="n">grid</span><span class="p">(</span><span class="n">row</span><span class="o">=</span><span class="mi">0</span><span class="p">,</span> <span class="n">column</span><span class="o">=</span><span class="mi">0</span><span class="p">,</span> <span class="n">columnspan</span><span class="o">=</span><span class="mi">2</span><span class="p">)</span>
        <span class="bp">self</span><span class="o">.</span><span class="n">entry</span><span class="o">=</span><span class="p">[]</span>
        <span class="k">for</span> <span class="n">i</span><span class="p">,</span> <span class="n">parameter</span> <span class="ow">in</span> <span class="nb">enumerate</span><span class="p">(</span><span class="n">parameters</span><span class="p">):</span>
            <span class="n">label</span><span class="o">=</span><span class="n">Label</span><span class="p">(</span><span class="n">frame</span><span class="p">,</span> <span class="n">text</span><span class="o">=</span><span class="n">parameter</span> <span class="o">+</span> <span class="s">&#39; = &#39;</span><span class="p">)</span>
            <span class="n">label</span><span class="o">.</span><span class="n">grid</span><span class="p">(</span><span class="n">row</span><span class="o">=</span><span class="n">i</span><span class="o">+</span><span class="mi">1</span><span class="p">,</span> <span class="n">column</span><span class="o">=</span><span class="mi">0</span><span class="p">,</span> <span class="n">sticky</span><span class="o">=</span><span class="n">E</span><span class="p">)</span>
            <span class="bp">self</span><span class="o">.</span><span class="n">entry</span><span class="o">.</span><span class="n">append</span><span class="p">(</span><span class="n">Entry</span><span class="p">(</span><span class="n">frame</span><span class="p">,</span> <span class="n">width</span><span class="o">=</span><span class="mi">10</span><span class="p">))</span>
            <span class="bp">self</span><span class="o">.</span><span class="n">entry</span><span class="p">[</span><span class="n">i</span><span class="p">]</span><span class="o">.</span><span class="n">grid</span><span class="p">(</span><span class="n">row</span><span class="o">=</span><span class="n">i</span><span class="o">+</span><span class="mi">1</span><span class="p">,</span> <span class="n">column</span><span class="o">=</span><span class="mi">1</span><span class="p">)</span>
        <span class="bp">self</span><span class="o">.</span><span class="n">entry</span><span class="p">[</span><span class="mi">0</span><span class="p">]</span><span class="o">.</span><span class="n">focus_set</span><span class="p">()</span>
        <span class="n">button</span><span class="o">=</span><span class="n">Button</span><span class="p">(</span><span class="n">frame</span><span class="p">,</span> <span class="n">text</span><span class="o">=</span><span class="s">&#39;OK&#39;</span><span class="p">,</span> <span class="n">command</span><span class="o">=</span><span class="bp">self</span><span class="o">.</span><span class="n">judge</span><span class="p">)</span>
        <span class="n">button</span><span class="o">.</span><span class="n">grid</span><span class="p">(</span><span class="n">row</span><span class="o">=</span><span class="mi">4</span><span class="p">,</span> <span class="n">column</span><span class="o">=</span><span class="mi">0</span><span class="p">,</span> <span class="n">columnspan</span><span class="o">=</span><span class="mi">2</span><span class="p">,</span> <span class="n">sticky</span><span class="o">=</span><span class="n">E</span><span class="o">+</span><span class="n">W</span><span class="p">)</span>
        <span class="n">button</span><span class="o">=</span><span class="n">Button</span><span class="p">(</span><span class="n">frame</span><span class="p">,</span> <span class="n">text</span><span class="o">=</span><span class="s">&#39;add attractor&#39;</span><span class="p">,</span> <span class="n">command</span><span class="o">=</span><span class="bp">self</span><span class="o">.</span><span class="n">drawing</span><span class="p">)</span>
        <span class="n">button</span><span class="o">.</span><span class="n">grid</span><span class="p">(</span><span class="n">row</span><span class="o">=</span><span class="mi">5</span><span class="p">,</span> <span class="n">column</span><span class="o">=</span><span class="mi">0</span><span class="p">,</span> <span class="n">columnspan</span><span class="o">=</span><span class="mi">2</span><span class="p">,</span> <span class="n">sticky</span><span class="o">=</span><span class="n">E</span><span class="o">+</span><span class="n">W</span><span class="p">)</span>
        <span class="n">root</span><span class="o">.</span><span class="n">mainloop</span><span class="p">()</span>
    
    <span class="k">def</span> <span class="nf">mapping</span><span class="p">(</span><span class="bp">self</span><span class="p">):</span> <span class="c"># グラフの描画</span>
        <span class="bp">self</span><span class="o">.</span><span class="n">nmax</span><span class="o">=</span><span class="nb">int</span><span class="p">(</span><span class="bp">self</span><span class="o">.</span><span class="n">entry</span><span class="p">[</span><span class="mi">2</span><span class="p">]</span><span class="o">.</span><span class="n">get</span><span class="p">())</span>
        <span class="n">x</span><span class="o">=</span><span class="n">array</span><span class="o">.</span><span class="n">array</span><span class="p">(</span><span class="s">&#39;d&#39;</span><span class="p">)</span>
        <span class="n">x</span><span class="o">.</span><span class="n">append</span><span class="p">(</span><span class="bp">self</span><span class="o">.</span><span class="n">x0</span><span class="p">)</span>
        <span class="k">for</span> <span class="n">i</span> <span class="ow">in</span> <span class="nb">range</span><span class="p">(</span><span class="mi">0</span><span class="p">,</span> <span class="bp">self</span><span class="o">.</span><span class="n">nmax</span><span class="p">):</span>
            <span class="n">t</span> <span class="o">=</span> <span class="mf">4.0</span><span class="o">*</span><span class="bp">self</span><span class="o">.</span><span class="n">r</span><span class="o">*</span><span class="n">x</span><span class="p">[</span><span class="n">i</span><span class="p">]</span><span class="o">*</span><span class="p">(</span><span class="mi">1</span><span class="o">-</span><span class="n">x</span><span class="p">[</span><span class="n">i</span><span class="p">])</span>
            <span class="n">x</span><span class="o">.</span><span class="n">append</span><span class="p">(</span><span class="n">t</span><span class="p">)</span>
        <span class="n">n</span><span class="o">=</span><span class="nb">range</span><span class="p">(</span><span class="bp">self</span><span class="o">.</span><span class="n">nmax</span> <span class="o">+</span> <span class="mi">1</span><span class="p">)</span>
        <span class="n">plt</span><span class="o">.</span><span class="n">plot</span><span class="p">(</span><span class="n">n</span><span class="p">,</span> <span class="n">x</span><span class="p">,</span> 
                <span class="n">label</span><span class="o">=</span> <span class="s">r&#39;$x_{0}\ =$&#39;</span> <span class="o">+</span> <span class="nb">str</span><span class="p">(</span><span class="bp">self</span><span class="o">.</span><span class="n">x0</span><span class="p">)</span> <span class="o">+</span> <span class="s">&#39; : &#39;</span> 
                     <span class="o">+</span> <span class="s">r&#39;$r\ =$&#39;</span> <span class="o">+</span> <span class="nb">str</span><span class="p">(</span><span class="bp">self</span><span class="o">.</span><span class="n">r</span><span class="p">)</span> <span class="o">+</span> <span class="s">&#39; : &#39;</span>
                     <span class="o">+</span> <span class="s">r&#39;$n_{\mathrm{max}}\ =$&#39;</span> <span class="o">+</span> <span class="nb">str</span><span class="p">(</span><span class="bp">self</span><span class="o">.</span><span class="n">nmax</span><span class="p">)</span>
                <span class="p">)</span>
        <span class="n">plt</span><span class="o">.</span><span class="n">gca</span><span class="p">()</span><span class="o">.</span><span class="n">set_xlim</span><span class="p">(</span><span class="mi">0</span><span class="p">,</span><span class="bp">self</span><span class="o">.</span><span class="n">nmax</span><span class="p">)</span>
        <span class="n">plt</span><span class="o">.</span><span class="n">gca</span><span class="p">()</span><span class="o">.</span><span class="n">set_ylim</span><span class="p">(</span><span class="o">-</span><span class="mf">0.05</span><span class="p">,</span><span class="mf">1.0</span><span class="p">)</span>
        <span class="n">plt</span><span class="o">.</span><span class="n">xlabel</span><span class="p">(</span><span class="s">r&#39;$n$&#39;</span><span class="p">,</span> <span class="n">fontsize</span><span class="o">=</span><span class="mi">16</span><span class="p">)</span>
        <span class="n">plt</span><span class="o">.</span><span class="n">ylabel</span><span class="p">(</span><span class="s">r&#39;$x$&#39;</span><span class="p">,</span> <span class="n">fontsize</span><span class="o">=</span><span class="mi">16</span><span class="p">)</span>
        <span class="n">plt</span><span class="o">.</span><span class="n">title</span><span class="p">(</span><span class="s">&#39;Iterate_map&#39;</span><span class="p">)</span>
        <span class="n">plt</span><span class="o">.</span><span class="n">legend</span><span class="p">(</span><span class="n">loc</span><span class="o">=</span><span class="s">&quot;best&quot;</span><span class="p">)</span>
        <span class="n">plt</span><span class="o">.</span><span class="n">show</span><span class="p">()</span>
    
    <span class="k">def</span> <span class="nf">drawing</span><span class="p">(</span><span class="bp">self</span><span class="p">):</span>
        <span class="k">if</span> <span class="bp">self</span><span class="o">.</span><span class="n">r</span> <span class="o">&gt;</span> <span class="mf">1.0</span><span class="o">/</span><span class="mf">4.0</span> <span class="ow">and</span> <span class="bp">self</span><span class="o">.</span><span class="n">r</span> <span class="o">&lt;</span> <span class="mf">3.0</span><span class="o">/</span><span class="mf">4.0</span><span class="p">:</span>
            <span class="n">xfi</span><span class="o">=</span><span class="mf">1.0</span><span class="o">-</span><span class="mf">1.0</span><span class="o">/</span><span class="p">(</span><span class="mf">4.0</span><span class="o">*</span><span class="bp">self</span><span class="o">.</span><span class="n">r</span><span class="p">)</span>
            <span class="n">plt</span><span class="o">.</span><span class="n">plot</span><span class="p">([</span><span class="mi">0</span><span class="p">,</span> <span class="bp">self</span><span class="o">.</span><span class="n">nmax</span><span class="p">],</span> <span class="p">[</span><span class="n">xfi</span><span class="p">]</span><span class="o">*</span><span class="mi">2</span><span class="p">,</span> 
                    <span class="n">label</span><span class="o">=</span><span class="s">r&#39;$x = 1 - 1 / 4r = $&#39;</span> <span class="o">+</span> <span class="nb">str</span><span class="p">(</span><span class="n">xfi</span><span class="p">)</span>
                    <span class="p">)</span>
            <span class="n">plt</span><span class="o">.</span><span class="n">legend</span><span class="p">(</span><span class="n">loc</span><span class="o">=</span><span class="s">&quot;best&quot;</span><span class="p">)</span>
            <span class="n">plt</span><span class="o">.</span><span class="n">show</span><span class="p">()</span>
        <span class="k">else</span><span class="p">:</span> <span class="k">pass</span>

<span class="k">if</span> <span class="n">__name__</span> <span class="o">==</span> <span class="s">&#39;__main__&#39;</span><span class="p">:</span>
    <span class="n">run</span><span class="o">=</span><span class="n">Iterate_map</span><span class="p">()</span>
</pre></div>
</td></tr></table></div>
<p>このプログラムは、追加のモジュールとして、グラフ描画に便利なmatplotlibを使用している。プログラムを実行すると各パラメータ{x0, r, nmax}(x0: xの初期値<img class="math" src="../_images/math/7583bd67b9c0a3880e53a7bd15ce980540c3e5cb.png" alt="x_{0}"/>、r: 制御パラメータ、nmax: 演算する世代数)の設定ダイアログが開き、OKボタンをすことでその値で計算されたロジスティック写像のグラフが自動的に描画される。</p>
</div>
<div class="section" id="id4">
<h2><a class="toc-backref" href="#id10">実習課題</a><a class="headerlink" href="#id4" title="このヘッドラインへのパーマリンク">¶</a></h2>
<ol class="loweralpha simple">
<li><img class="math" src="../_images/math/bbc36b6e65376b5c72059b93dda3d329058a0664.png" alt="r=0.24"/>とおいてさまざまな初期値<img class="math" src="../_images/math/7583bd67b9c0a3880e53a7bd15ce980540c3e5cb.png" alt="x_{0}"/>について動的な振る舞いを調べよ。<img class="math" src="../_images/math/55ba271999995cac02cf578362df5be030594ed6.png" alt="x=0"/>が安定な固定点であることを示せ。<img class="math" src="../_images/math/2ede365ad144ab396916ec60458da03860803078.png" alt="r"/>の値が十分に小さいときには、計算を反復して求めた<img class="math" src="../_images/math/188c175aac0a8a9c22499336711b5d7256407254.png" alt="x"/>の値が、初期値<img class="math" src="../_images/math/7583bd67b9c0a3880e53a7bd15ce980540c3e5cb.png" alt="x_{0}"/>とは無関係に<img class="math" src="../_images/math/55ba271999995cac02cf578362df5be030594ed6.png" alt="x=0"/>に収束する。<img class="math" src="../_images/math/188c175aac0a8a9c22499336711b5d7256407254.png" alt="x"/>が昆虫の個体数を表すと考えて、個体数の定性的な振る舞いについて調べよ。</li>
</ol>
<p><img class="math" src="../_images/math/bbc36b6e65376b5c72059b93dda3d329058a0664.png" alt="r=0.24"/>とおいて<img class="math" src="../_images/math/ebb7405f08a635f0fc0a7a006917527f9db596e5.png" alt="x_{0}=0, 0.2, 0.4, 0.6, 0.8, 1.0"/>とした時のグラフを<a class="reference internal" href="#fig-6-1-f1"><em>図1</em></a>に示した。このグラフから確かめられるように、<img class="math" src="../_images/math/2ede365ad144ab396916ec60458da03860803078.png" alt="r"/>の値が十分小さい時には、初期値によらず<img class="math" src="../_images/math/188c175aac0a8a9c22499336711b5d7256407254.png" alt="x"/>の値は<img class="math" src="../_images/math/55ba271999995cac02cf578362df5be030594ed6.png" alt="x=0"/>に単調に収束する。<img class="math" src="../_images/math/188c175aac0a8a9c22499336711b5d7256407254.png" alt="x"/>が昆虫の個体数を表すと見るなら、<img class="math" src="../_images/math/2ede365ad144ab396916ec60458da03860803078.png" alt="r"/>の値が小さいということは、個体数の増加率が1よりも小さくなる状態を表しており、生まれてくる個体よりも死ぬ個体のほうが多い状態とも言えるだろう。そのような状況では、個体数は減り続け、いずれ0になる。</p>
<div class="align-center figure" id="fig-6-1-f1">
<a class="reference internal image-reference" href="../_images/figure_14.png"><img alt="r = 0.24 とおいて x0 = 0, 0.2, 0.4, 0.6, 0.8, 1.0 とした時のグラフ" src="../_images/figure_14.png" style="width: 14.0cm;" /></a>
<p class="caption"><img class="math" src="../_images/math/8b5959b3bcdea33edfc84d481e12ef9addaca200.png" alt="r = 0.24"/>とおいて<img class="math" src="../_images/math/757e4eab3c343d7d7f81ea4fff25756d12804eca.png" alt="x_{0} = 0, 0.2, 0.4, 0.6, 0.8, 1.0"/>とした時のグラフ</p>
</div>
<ol class="loweralpha simple" start="2">
<li>式(1)の動的な性質を<img class="math" src="../_images/math/6c1ff3f8ebfe9e33aff7c40204f4b9a20d95aa36.png" alt="r=0.26, 0.5, 0.74, 0.748"/>について調べよ。<img class="math" src="../_images/math/2e6577ab1f98d7c8e2d0297f21c5b1ac358573c6.png" alt="r &gt; 0.25"/>では<img class="math" src="../_images/math/55ba271999995cac02cf578362df5be030594ed6.png" alt="x=0"/>が不安定な固定点であることを確かめよ。与えられた<img class="math" src="../_images/math/2ede365ad144ab396916ec60458da03860803078.png" alt="r"/>の値では、計算の反復で得られる<img class="math" src="../_images/math/188c175aac0a8a9c22499336711b5d7256407254.png" alt="x"/>の値は初期値の過渡点を過ぎると変化しないこと、つまり、長時間後の動的な振る舞いは周期1であることを示せ。<img class="math" src="../_images/math/1329c68990c8b80ef79c800de5825d544a103fb6.png" alt="r &lt; 3/4"/>について区間<img class="math" src="../_images/math/d0e4cc4cf39d558e012a5b82fdc773b070cc59a6.png" alt="0 &lt; x_{0} &lt; 1"/>の<img class="math" src="../_images/math/7583bd67b9c0a3880e53a7bd15ce980540c3e5cb.png" alt="x_{0}"/>を初期値とするすべての軌跡が<img class="math" src="../_images/math/e7c2e3dabef6470469790a0a2f2f5715f53cb68e.png" alt="x=1-1/4r"/>のアトラクタに近づくことが示されている。軌跡がアトラクタに吸い込まれる初期値の集合をそのアトラクタの吸引域と呼ぶ。ロジスティック写像では、領域<img class="math" src="../_images/math/d0e4cc4cf39d558e012a5b82fdc773b070cc59a6.png" alt="0 &lt; x_{0} &lt; 1"/>は<img class="math" src="../_images/math/e7c2e3dabef6470469790a0a2f2f5715f53cb68e.png" alt="x=1-1/4r"/>のアトラクタの吸引域である。</li>
</ol>
<p><img class="math" src="../_images/math/6c1ff3f8ebfe9e33aff7c40204f4b9a20d95aa36.png" alt="r=0.26, 0.5, 0.74, 0.748"/>とおいたとき、さまざまな<img class="math" src="../_images/math/7583bd67b9c0a3880e53a7bd15ce980540c3e5cb.png" alt="x_{0}"/>を初期値として設定しグラフを描いた。これらを<a class="reference internal" href="#fig-6-1-f2"><em>図2</em></a>、<a class="reference internal" href="#fig-6-1-f3"><em>図3</em></a>、<a class="reference internal" href="#fig-6-1-f4"><em>図4</em></a>、<a class="reference internal" href="#fig-6-1-f5"><em>図5</em></a>に示す。これらの結果から、この範囲の<img class="math" src="../_images/math/2ede365ad144ab396916ec60458da03860803078.png" alt="r"/>では<img class="math" src="../_images/math/188c175aac0a8a9c22499336711b5d7256407254.png" alt="x"/>の値は、振動しながら一定の値に収束していき、長時間後にはその動的な振る舞いが周期1であることがわかる。また、その時収束する値は<img class="math" src="../_images/math/afbb8ffa1d0ec0b0440c0bb6e388cc8647bc3984.png" alt="1-1/4r"/>と等しくなっていることがわかる。</p>
<div class="align-center figure" id="fig-6-1-f2">
<a class="reference internal image-reference" href="../_images/figure_23.png"><img alt="r = 0.26 とおいて x0 = 0.2, 0.4, 0.6, 0.8 とした時のグラフ" src="../_images/figure_23.png" style="width: 14.0cm;" /></a>
<p class="caption"><img class="math" src="../_images/math/9be5c962164f1548efffcf0d69276fe3f86285c5.png" alt="r = 0.26"/>とおいて<img class="math" src="../_images/math/9fb4c62fd3101e80223cb6d1c6b99856a40255c5.png" alt="x_{0} = 0.2, 0.4, 0.6, 0.8"/>とした時のグラフ</p>
</div>
<div class="align-center figure" id="fig-6-1-f3">
<a class="reference internal image-reference" href="../_images/figure_32.png"><img alt="r = 0.5 とおいて x0 = 0.2, 0.4, 0.6, 0.8 とした時のグラフ" src="../_images/figure_32.png" style="width: 14.0cm;" /></a>
<p class="caption"><img class="math" src="../_images/math/4ab5a7c55971c7d9828f3d6ed1d3e7ae5791b06f.png" alt="r = 0.5"/>とおいて<img class="math" src="../_images/math/9fb4c62fd3101e80223cb6d1c6b99856a40255c5.png" alt="x_{0} = 0.2, 0.4, 0.6, 0.8"/>とした時のグラフ</p>
</div>
<div class="align-center figure" id="fig-6-1-f4">
<a class="reference internal image-reference" href="../_images/figure_41.png"><img alt="r = 0.74 とおいて x0 = 0.2, 0.4, 0.6, 0.8 とした時のグラフ" src="../_images/figure_41.png" style="width: 14.0cm;" /></a>
<p class="caption"><img class="math" src="../_images/math/8fb7f1ece4f67dd16ca7bebf6645d4079d4fdcac.png" alt="r = 0.74"/>とおいて<img class="math" src="../_images/math/9fb4c62fd3101e80223cb6d1c6b99856a40255c5.png" alt="x_{0} = 0.2, 0.4, 0.6, 0.8"/>とした時のグラフ</p>
</div>
<div class="align-center figure" id="fig-6-1-f5">
<a class="reference internal image-reference" href="../_images/figure_5.png"><img alt="r = 0.748 とおいて x0 = 0.2, 0.8 とした時のグラフ" src="../_images/figure_5.png" style="width: 14.0cm;" /></a>
<p class="caption"><img class="math" src="../_images/math/ad860e196e983dae66b73d47bdfbf0bb18699bb6.png" alt="r = 0.748"/>とおいて<img class="math" src="../_images/math/d1161f9fe09738acb57b6bb6e645b7a056c6a9fb.png" alt="x_{0} = 0.2, 0.8"/>とした時のグラフ</p>
</div>
<ol class="loweralpha simple" start="3">
<li><img class="math" src="../_images/math/ed95745468155ed89a64c6c46f1b1c2e3d888259.png" alt="r=0.752, 0.76, 0.8, 0.862"/>について式(1)の動的な性質を調べよ。<img class="math" src="../_images/math/2ede365ad144ab396916ec60458da03860803078.png" alt="r"/>を0.75よりほんの少し大きくすると、初期値の過渡的な振る舞いの後に、2つの数値の間を振動することを示せ。つまり、単一の固定点に対応する周期1の安定なサイクルの代わりに、系は周期2の安定なサイクルを持つようになる。1つの固定点<img class="math" src="../_images/math/02dc54b6986c7807607099728581c33f37cca8e1.png" alt="x^{*}"/>が2つの<img class="math" src="../_images/math/8dc42b6bfecf9c618ba98ef398b795c7d99c0ba2.png" alt="x_{1}^{*}"/>と<img class="math" src="../_images/math/28ffbd86b7946615ccacbd676047e74d5dddd0d8.png" alt="x_{2}^{*}"/>に分かれる。つまり、分岐する<img class="math" src="../_images/math/2ede365ad144ab396916ec60458da03860803078.png" alt="r"/>の値は<img class="math" src="../_images/math/315f4690bca7e891201b5559c1b1f358874ed148.png" alt="r=b_{1}=3/4"/>である。1対の<img class="math" src="../_images/math/188c175aac0a8a9c22499336711b5d7256407254.png" alt="x"/>(<img class="math" src="../_images/math/8dc42b6bfecf9c618ba98ef398b795c7d99c0ba2.png" alt="x_{1}^{*}"/>と<img class="math" src="../_images/math/28ffbd86b7946615ccacbd676047e74d5dddd0d8.png" alt="x_{2}^{*}"/>)は1つの、周期2の安定なアトラクタを形成する。</li>
</ol>
<p><img class="math" src="../_images/math/ed95745468155ed89a64c6c46f1b1c2e3d888259.png" alt="r=0.752, 0.76, 0.8, 0.862"/>について<img class="math" src="../_images/math/7583bd67b9c0a3880e53a7bd15ce980540c3e5cb.png" alt="x_{0}"/>をさまざまに変えたときのグラフを<a class="reference internal" href="#fig-6-1-f6"><em>図6</em></a>、<a class="reference internal" href="#fig-6-1-f7"><em>図7</em></a>、<a class="reference internal" href="#fig-6-1-f8"><em>図8</em></a>、<a class="reference internal" href="#fig-6-1-f9"><em>図9</em></a>に示す。これらのグラフから見て取れるように、十分時間が経過した後も、<img class="math" src="../_images/math/188c175aac0a8a9c22499336711b5d7256407254.png" alt="x"/>の値は一つの値に収束することなく、二つの値の間を周期2で振動していることがわかる。</p>
<div class="align-center figure" id="fig-6-1-f6">
<a class="reference internal image-reference" href="../_images/figure_6.png"><img alt="r = 0.752 とおいて x0 = 0.2, 0.8 とした時のグラフ" src="../_images/figure_6.png" style="width: 14.0cm;" /></a>
<p class="caption"><img class="math" src="../_images/math/07561483a129f1bcb930f34ca3fb60bcaf08ac60.png" alt="r = 0.752"/>とおいて<img class="math" src="../_images/math/d1161f9fe09738acb57b6bb6e645b7a056c6a9fb.png" alt="x_{0} = 0.2, 0.8"/>とした時のグラフ</p>
</div>
<div class="align-center figure" id="fig-6-1-f7">
<a class="reference internal image-reference" href="../_images/figure_7.png"><img alt="r = 0.76 とおいて x0 = 0.2, 0.8 とした時のグラフ" src="../_images/figure_7.png" style="width: 14.0cm;" /></a>
<p class="caption"><img class="math" src="../_images/math/3d975c48b8c0a47480987683211646f8e53e045f.png" alt="r = 0.76"/>とおいて<img class="math" src="../_images/math/d1161f9fe09738acb57b6bb6e645b7a056c6a9fb.png" alt="x_{0} = 0.2, 0.8"/>とした時のグラフ</p>
</div>
<div class="align-center figure" id="fig-6-1-f8">
<a class="reference internal image-reference" href="../_images/figure_8.png"><img alt="r = 0.8 とおいて x0 = 0.2, 0.8 とした時のグラフ" src="../_images/figure_8.png" style="width: 14.0cm;" /></a>
<p class="caption"><img class="math" src="../_images/math/d172f25414a7d64790a8008395cc0deafc6a8fb6.png" alt="r = 0.8"/>とおいて<img class="math" src="../_images/math/d1161f9fe09738acb57b6bb6e645b7a056c6a9fb.png" alt="x_{0} = 0.2, 0.8"/>とした時のグラフ</p>
</div>
<div class="align-center figure" id="fig-6-1-f9">
<a class="reference internal image-reference" href="../_images/figure_9.png"><img alt="r = 0.862 とおいて x0 = 0.2, 0.8 とした時のグラフ" src="../_images/figure_9.png" style="width: 14.0cm;" /></a>
<p class="caption"><img class="math" src="../_images/math/c4b8b24353e0d6f28f23c856d4bafc632ddf9928.png" alt="r = 0.862"/>とおいて<img class="math" src="../_images/math/d1161f9fe09738acb57b6bb6e645b7a056c6a9fb.png" alt="x_{0} = 0.2, 0.8"/>とした時のグラフ</p>
</div>
<ol class="loweralpha simple" start="4">
<li>設問cで観測したものと同様な動的振る舞いを示す、昆虫の個体数の生態学的なシナリオについて述べよ。</li>
</ol>
<p>設問cで観測されたような動的な振る舞いは、ある昆虫が、限られた環境の中で成長率が十分にあるために個体数が増えていき、しかし一方で個体数の増加による各種資源の枯渇など、成長率への負の影響のために、個体数を増やし続けることができず、次の世代ではその数が減少してしまうような場合であると考えることができる。</p>
<ol class="loweralpha simple" start="5">
<li><img class="math" src="../_images/math/2d329eea7c60b5f6233aea4aee81dc4893bb2d07.png" alt="r=0.863, 0.88"/>では、式<a href="#equation-logistic">(1)</a>の安定なアトラクタとその周期はどうなるか。</li>
</ol>
<p><img class="math" src="../_images/math/2d329eea7c60b5f6233aea4aee81dc4893bb2d07.png" alt="r=0.863, 0.88"/>で<img class="math" src="../_images/math/9bc42d70e7d3eed65a10233a4b1f3ca0d445c7d0.png" alt="x_{0}=0.2"/>とした時のグラフを<a class="reference internal" href="#fig-6-1-f10"><em>図10</em></a>、<a class="reference internal" href="#fig-6-1-f11"><em>図11</em></a>に示す。これらのグラフを注意深く見ると、設問cのように周期2で振動しているのではなく、その二つのアトラクタがさらに二つのアトラクタに分岐していることがわかる。つまり、十分時間が経ったのちに、<img class="math" src="../_images/math/188c175aac0a8a9c22499336711b5d7256407254.png" alt="x"/>は周期4で振動している。</p>
<div class="align-center figure" id="fig-6-1-f10">
<a class="reference internal image-reference" href="../_images/figure_10.png"><img alt="r = 0.863 とおいて x0 = 0.2 とした時のグラフ" src="../_images/figure_10.png" style="width: 14.0cm;" /></a>
<p class="caption"><img class="math" src="../_images/math/6467464a15524335da77ddc94c7a52a2d6bd71ff.png" alt="r = 0.863"/>とおいて<img class="math" src="../_images/math/cb3ba06a3eb0462f1cc7a8566170104dacb9ee1b.png" alt="x_{0} = 0.2"/>とした時のグラフ</p>
</div>
<div class="align-center figure" id="fig-6-1-f11">
<a class="reference internal image-reference" href="../_images/figure_111.png"><img alt="r = 0.88 とおいて x0 = 0.2 とした時のグラフ" src="../_images/figure_111.png" style="width: 14.0cm;" /></a>
<p class="caption"><img class="math" src="../_images/math/373a3bfb878b7d8b3e1cd2fa7b3295636ed6884f.png" alt="r = 0.88"/>とおいて<img class="math" src="../_images/math/cb3ba06a3eb0462f1cc7a8566170104dacb9ee1b.png" alt="x_{0} = 0.2"/>とした時のグラフ</p>
</div>
<ol class="loweralpha simple" start="6">
<li><img class="math" src="../_images/math/0f5932099000d82e3a896df169547910ed41fdea.png" alt="r=0.89, 0.891, 0.8922"/>ではアトラクタとその周期はどうなるか。</li>
</ol>
<p><img class="math" src="../_images/math/0f5932099000d82e3a896df169547910ed41fdea.png" alt="r=0.89, 0.891, 0.8922"/>で<img class="math" src="../_images/math/9bc42d70e7d3eed65a10233a4b1f3ca0d445c7d0.png" alt="x_{0}=0.2"/>とした時のグラフを<a class="reference internal" href="#fig-6-1-f12"><em>図12</em></a>、<a class="reference internal" href="#fig-6-1-f13"><em>図13</em></a>、<a class="reference internal" href="#fig-6-1-f14"><em>図14</em></a>に示す。これらのグラフは、設問eでのアトラクタがそれぞれさらに二つのアトラクタに分岐しているものであることがわかる。つまり、十分時間が経ったのちに、<img class="math" src="../_images/math/188c175aac0a8a9c22499336711b5d7256407254.png" alt="x"/>は周期8で振動している。以上の結果から、特に観測した<img class="math" src="../_images/math/2ede365ad144ab396916ec60458da03860803078.png" alt="r"/>の領域については、<img class="math" src="../_images/math/2ede365ad144ab396916ec60458da03860803078.png" alt="r"/>の値が増加するにつれて、アトラクタの数、または振動の周期が倍化していることがわかる。</p>
<div class="align-center figure" id="fig-6-1-f12">
<a class="reference internal image-reference" href="../_images/figure_121.png"><img alt="r = 0.89 とおいて x0 = 0.2 とした時のグラフ" src="../_images/figure_121.png" style="width: 14.0cm;" /></a>
<p class="caption"><img class="math" src="../_images/math/95f0cba6a2ec12fe445f3e6ac06dce409c9c9f5d.png" alt="r = 0.89"/>とおいて<img class="math" src="../_images/math/cb3ba06a3eb0462f1cc7a8566170104dacb9ee1b.png" alt="x_{0} = 0.2"/>とした時のグラフ</p>
</div>
<div class="align-center figure" id="fig-6-1-f13">
<a class="reference internal image-reference" href="../_images/figure_131.png"><img alt="r = 0.891 とおいて x0 = 0.2 とした時のグラフ" src="../_images/figure_131.png" style="width: 14.0cm;" /></a>
<p class="caption"><img class="math" src="../_images/math/2d80a8073e08d37d9a058826ad77be24cc7aa4c1.png" alt="r = 0.891"/>とおいて<img class="math" src="../_images/math/cb3ba06a3eb0462f1cc7a8566170104dacb9ee1b.png" alt="x_{0} = 0.2"/>とした時のグラフ</p>
</div>
<div class="align-center figure" id="fig-6-1-f14">
<a class="reference internal image-reference" href="../_images/figure_141.png"><img alt="r = 0.8922 とおいて x0 = 0.2 とした時のグラフ" src="../_images/figure_141.png" style="width: 14.0cm;" /></a>
<p class="caption"><img class="math" src="../_images/math/4d1bbc7011056c8b7bc42c31bea898e13aae06c2.png" alt="r = 0.8922"/>とおいて<img class="math" src="../_images/math/cb3ba06a3eb0462f1cc7a8566170104dacb9ee1b.png" alt="x_{0} = 0.2"/>とした時のグラフ</p>
</div>
</div>
<div class="section" id="id5">
<h2><a class="toc-backref" href="#id11">まとめ</a><a class="headerlink" href="#id5" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>ロジスティック写像の性質である周期倍化を、コンピューターシミュレーションによって確認することができた。簡単なモデルから作られた古典的な方程式からカオス的な挙動が生まれることは興味深い。</p>
</div>
<div class="section" id="id6">
<h2><a class="toc-backref" href="#id12">参考文献</a><a class="headerlink" href="#id6" title="このヘッドラインへのパーマリンク">¶</a></h2>
<ul class="simple">
<li>ハーベイ・ゴールド,ジャン・トボチニク,石川正勝・宮島佐介訳『計算物理学入門』,ピアソン・エデュケーション, 2000.</li>
</ul>
</div>
</div>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../index.html">目次</a></h3>
  <ul>
<li><a class="reference internal" href="#">問題6.1 - 周期倍化</a><ul>
<li><a class="reference internal" href="#id2">シミュレーションの目的</a></li>
<li><a class="reference internal" href="#id3">作成したプログラム</a></li>
<li><a class="reference internal" href="#id4">実習課題</a></li>
<li><a class="reference internal" href="#id5">まとめ</a></li>
<li><a class="reference internal" href="#id6">参考文献</a></li>
</ul>
</li>
</ul>

  <h4>前のトピックへ</h4>
  <p class="topless"><a href="../index.html"
                        title="前の章へ">計算機実習</a></p>
  <h4>次のトピックへ</h4>
  <p class="topless"><a href="../6-2_bifurcate/6-2.html"
                        title="次の章へ">問題6.2 - ロジスティック写像の定性的な特徴</a></p>
  <h3>このページ</h3>
  <ul class="this-page-menu">
    <li><a href="../_sources/6-1_iterate_map/6-1.txt"
           rel="nofollow">ソースコードを表示</a></li>
  </ul>
<div id="searchbox" style="display: none">
  <h3>クイック検索</h3>
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" />
      <input type="submit" value="検索" />
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
    <p class="searchtip" style="font-size: 90%">
    モジュール、クラス、または関数名を入力してください
    </p>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="総合索引"
             >索引</a></li>
        <li class="right" >
          <a href="../6-2_bifurcate/6-2.html" title="問題6.2 - ロジスティック写像の定性的な特徴"
             >次へ</a> |</li>
        <li class="right" >
          <a href="../index.html" title="計算機実習"
             >前へ</a> |</li>
        <li><a href="../index.html">計算機実習2014</a> &raquo;</li> 
      </ul>
    </div>
    <div class="footer">
        &copy; Copyright 2014, Shotaro Fujimoto.
      このドキュメントは <a href="http://sphinx-doc.org/">Sphinx</a> 1.2.2 で生成しました。
    </div>
  </body>
</html>